﻿using GalaSoft.MvvmLight.Command;
using Plane.Copters;
using Plane.Windows.Messages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Plane.FormationCreator.Formation
{
    public partial class FlightTaskSingleCopterInfo
    {
        public static FlightTaskSingleCopterInfo CreateForFlyToTask(ICopter copter, double targetLat, double targetLng, float targetAlt)
        {
            var info = new FlightTaskSingleCopterInfo(copter)
            {
                TargetLat = targetLat,
                TargetLng = targetLng,
                TargetAlt = targetAlt
            };
            return info;
        }

        public static FlightTaskSingleCopterInfo CreateForFlyToTask(ICopter copter, LatLng latLngOffset, float targetAlt)
        {
            var info = new FlightTaskSingleCopterInfo(copter)
            {
                LatLngOffset = latLngOffset,
                TargetAlt = targetAlt
            };
            return info;
        }
        
        private bool _FlytoShowLED = true;
        public bool FlytoShowLED
        {
            get { return _FlytoShowLED; }
            set { Set(nameof(FlytoShowLED), ref _FlytoShowLED, value); }
        }


        /*
         * //同一个任务每一架飞机的FlytoTime和LoiterTime保持统一,已将FlytoTime和LoiterTime改到FlightTask.cs中
         * 
        private int _FlytoTime = 10;
        public int FlytoTime
        {
            get { return _FlytoTime; }
            set { Set(nameof(FlytoTime), ref _FlytoTime, value); }
        }
        private int _LoiterTime = 0;
        public int LoiterTime
        {
            get { return _LoiterTime; }
            set { Set(nameof(LoiterTime), ref _LoiterTime, value); }
        }
        */

        

    }
}
